“OSError: [Errno 1] Operazione non consentita” durante l’installazione di Scrapy in OSX 10.11 (El Capitan) (System Integrity Protection)

| | |

Sto cercando di installare il framework Scrapy Python in OSX 10.11 (El Capitan) tramite pip. Lo script di installazione scarica i moduli richiesti e ad un certo punto restituisce il seguente errore:

OSError: [Errno 1] Operazione non consentita: "/tmp/pip-nIfswi-uninstall/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/six-1.4.1-py2.7.egg- info" 

Ho provato a disattivare la funzione rootless in OSX 10.11 con il comando:

sudo nvram boot-args="rootless=0" ;sudo reboot 

ma ricevo ancora lo stesso errore al riavvio della macchina.

Qualche idea o idea dai miei colleghi StackExchanger?

Se aiuta, l'output completo dello script è il seguente:

sudo -s pip install scrapy Raccolta scrapy Download in corso Scrapy-1.0.2-py2-none-any.whl (290kB) 100% |‚ ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà| 290kB 345kB/s Requisito già soddisfatto (usa --upgrade per aggiornare): cssselect>=0.9 in /Library/Python/2.7/site-packages (da scrapy) Requisito già soddisfatto (usa --upgrade per aggiornare): queuelib in / Library/Python/2.7/site-packages (da scrapy) Requisito già soddisfatto (usa --upgrade per aggiornare): pyOpenSSL in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (da scrapy ) Raccolta di w3lib>=1.8.0 (da scrapy) Download di w3lib-1.12.0-py2.py3-none-any.whl Raccolta di lxml (da scrapy) Download di lxml-3.4.4.tar.gz (3,5 MB) 100% |‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà| 3.5MB 112kB/s Raccolta di Twisted>=10.0.0 (da scrapy) Download di Twisted-15.3.0.tar.bz2 (4.4MB) 100% |‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà‚ñà| 4.4MB 94kB/s Raccolta di six>=1.5.2 (da scrapy) Download di six-1.9.0-py2.py3-none-any.whl Requisito già soddisfatto (usa --upgrade per aggiornare): zope.interface>=3.6 .0 in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (da Twisted>=10.0.0->scrapy) Requisito già soddisfatto (usa --upgrade per aggiornare): setuptools in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (da zope.interface>=3.6.0->Twisted>=10.0.0->scrapy) Installazione di pacchetti raccolti: sei, w3lib, lxml, Twisted, scrapy Installazione esistente trovata: sei 1.4.1 DEPRECAZIONE: La disinstallazione di un progetto installato distutils (sei) è stata deprecata e verrà rimossa in una versione futura. Ciò è dovuto al fatto che la disinstallazione di un progetto distutils disinstallerà solo parzialmente il progetto. Disinstallazione di six-1.4.1: Eccezione: Traceback (ultima chiamata più recente): File "/Library/Python/2.7/site-packages/pip-7.1.0-py2.7.egg/pip/basecommand.py", riga 223, in stato principale = self.run(options, args) File "/Library/Python/2.7/site-packages/pip-7.1.0-py2.7.egg/pip/commands/install.py", riga 299 , in run root=options.root_path, File "/Library/Python/2.7/site-packages/pip-7.1.0-py2.7.egg/pip/req/req_set.py", riga 640, nel requisito di installazione. uninstall(auto_confirm=True) File "/Library/Python/2.7/site-packages/pip-7.1.0-py2.7.egg/pip/req/req_install.py", riga 726, in uninstall path_to_remove.remove(auto_confirm ) File "/Library/Python/2.7/site-packages/pip-7.1.0-py2.7.egg/pip/req/req_uninstall.py", riga 125, in remove renames(path, new_path) File "/Library /Python/2.7/site-packages/pip-7.1.0-py2.7.egg/pip/utils/__init__.py", riga 314, in renames shutil.move(vecchio, nuovo) File "/System/Library/ Frameworks/Python.framework/Versions/2.7/lib/python2.7/shutil.py", riga 302, in move copy2(src, real_ds t) File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/shutil.py", riga 131, in copy2 copystat(src, dst) File "/System/Library/Frameworks/ Python.framework/Versions/2.7/lib/python2.7/shutil.py", riga 103, in copystat os.chflags(dst, st.st_flags) OSError: [Errno 1] Operazione non consentita: "/tmp/pip- nIfswi-uninstall/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/six-1.4.1-py2.7.egg-info" 

"OSError: [Errno 1] Operazione non consentita" durante l'installazione di Scrapy in OSX 10.11 (El Capitan) (System Integrity Protection) open: Questions

"OSError: [Errno 1] Operazione non consentita" durante l'installazione di Scrapy in OSX 10.11 (El Capitan) (System Integrity Protection) rename: Questions

Shop

Best laptop for Fortnite

$

Best laptop for Excel

$

Best laptop for Solidworks

$

Best laptop for Roblox

$

Best computer for crypto mining

$

Best laptop for Sims 4

$

Best laptop for Zoom

$499

Best laptop for Minecraft

$590

Latest questions

NUMPYNUMPY

psycopg2: insert multiple rows with one query

12 answers

NUMPYNUMPY

How to convert Nonetype to int or string?

12 answers

NUMPYNUMPY

How to specify multiple return types using type-hints

12 answers

NUMPYNUMPY

Javascript Error: IPython is not defined in JupyterLab

12 answers

News

Wiki

Python OpenCV | cv2.putText () method

numpy.arctan2 () in Python

Python | os.path.realpath () method

Python OpenCV | cv2.circle () method

Python OpenCV cv2.cvtColor () method

Python - Move item to the end of the list

time.perf_counter () function in Python

Check if one list is a subset of another in Python

Python os.path.join () method